resources:
  App\Entity\Advantage:
    security: 'is_granted("ROLE_INTERNAL")'
    securityMessage: 'You are not authorized to access this resource.'
    normalizationContext:
      groups:
        - 'identifier:read'
        - 'time_trace:read'
        - 'activity_area:read'
        - 'advantage:read'
        - 'media_file:read'

    denormalizationContext:
      groups:
        - 'advantage:write'
        - 'media_file:write'

    operations:
      ApiPlatform\Metadata\GetCollection:
        filters: [ 'advantage.order_filter', 'advantage.search_filter', 'advantage.global_search_filter' ]
        openapiContext:
          summary: Advantage - List.
          description: >
            Retrieves a list of Advantage
            <br>
            <br>
            **[INTERNAL USE ONLY]**
            <br>
            This operation is restricted to internal systems and authorized personnel only.
            Please ensure you have the necessary permissions before proceeding.
          security:
            - JWT: [ 'ROLE_INTERNAL' ]

      ApiPlatform\Metadata\Get:
        openapiContext:
          summary: Advantage - Item.
          description: >
            Retrieves a item of Advantage
            <br>
            <br>
            **[INTERNAL USE ONLY]**
            <br>
            This operation is restricted to internal systems and authorized personnel only.
            Please ensure you have the necessary permissions before proceeding.
          security:
            - JWT: [ 'ROLE_INTERNAL' ]

      ApiPlatform\Metadata\Post:
        inputFormats:
          json: [ 'application/json' ]
          multipart: [ 'multipart/form-data' ]
        security: 'is_granted("ROLE_ADMIN")'
        openapiContext:
          summary: Advantage - Create.
          description: >
            create an item of Advantage
            <br>
            <br>
            **[INTERNAL USE ONLY]**
            <br>
            This operation is restricted to internal systems and authorized personnel only.
            Please ensure you have the necessary permissions before proceeding.
          security:
            - JWT: [ 'ROLE_ADMIN' ]

      ApiPlatform\Metadata\Put:
        inputFormats:
          json: [ 'application/json' ]
          multipart: [ 'multipart/form-data' ]
        security: 'is_granted("ROLE_ADMIN")'
        openapiContext:
          summary: Advantage - Update.
          description: >
            update an item of Advantage
            <br>
            <br>
            **[INTERNAL USE ONLY]**
            <br>
            This operation is restricted to internal systems and authorized personnel only.
            Please ensure you have the necessary permissions before proceeding.
          security:
            - JWT: [ 'ROLE_ADMIN' ]

      ApiPlatform\Metadata\Delete:
        security: 'is_granted("ROLE_ADMIN")'
        openapiContext:
          summary: Advantage - Delete.
          description: >
            delete an item of Advantage
            <br>
            <br>
            **[INTERNAL USE ONLY]**
            <br>
            This operation is restricted to internal systems and authorized personnel only.
            Please ensure you have the necessary permissions before proceeding.
          security:
            - JWT: [ 'ROLE_ADMIN' ]
